cancel
Showing results for 
Search instead for 
Did you mean: 
Highlighted
Observer
Observer
2,115 Views
Registered: ‎01-25-2018

about build error on ZCU102 BSP

Jump to solution

Dear XILINX:

 I was using  petalinux-v2017.4 applied remote build settings to build 

xilinx-zcu102-zu9-es2-rev1.0-v2017.4-final.bsp

 

but I encounter the following error, would you kindly help me the deal with this problem?

 

[My remote settins]

remote git URL is 

https://github.com/Xilinx/linux-xlnx.git for kernel

https://github.com/Xilinx/u-boot-xlnx.git for uboot

 

remote tag is 

xilinx-v2017.4

 

[INFO] building project
[INFO] sourcing bitbake
SDK environment now set up; additionally you may now run devtool to perform development tasks.
Run devtool --help for further details.

### Shell environment set up for builds. ###

You can now run 'bitbake <target>'

Common targets are:
core-image-minimal
core-image-sato
meta-toolchain
meta-ide-support

You can also run generated qemu images with a command like 'runqemu qemux86'
INFO: Adding user layer: /home/lucas/Project/ZCU102/source/bsp/zcu102_bsp_2017-4/xilinx-zcu102-zu9-es2-rev1.0-2017.4/project-spec/meta-user
WARNING: /home/lucas/Project/ZCU102/source/bsp/petalinux_2017-1/components/yocto/source/aarch64/layers/meta-xilinx/recipes-kernel/linux/linux-xlnx_4.9.bb: Exception during build_dependencies for PKG_kernel-image
WARNING: /home/lucas/Project/ZCU102/source/bsp/petalinux_2017-1/components/yocto/source/aarch64/layers/meta-xilinx/recipes-kernel/linux/linux-xlnx_4.9.bb: Error during finalise of /home/lucas/Project/ZCU102/source/bsp/petalinux_2017-1/components/yocto/source/aarch64/layers/meta-xilinx/recipes-kernel/linux/linux-xlnx_4.9.bb
ERROR: ExpansionError during parsing /home/lucas/Project/ZCU102/source/bsp/petalinux_2017-1/components/yocto/source/aarch64/layers/meta-xilinx/recipes-kernel/linux/linux-xlnx_4.9.bb
Traceback (most recent call last):
bb.data_smart.ExpansionError: Failure expanding variable PKG_kernel-image, expression was kernel-image-${@legitimize_package_name('${@get_kernelversion_headers('/home/lucas/Project/ZCU102/source/bsp/zcu102_bsp_2017-4/xilinx-zcu102-zu9-es2-rev1.0-2017.4/build/tmp/work/plnx_aarch64-xilinx-linux/linux-xlnx/4.9-xilinx-v2017.4+git${SRCPV}-r0/linux-plnx_aarch64-standard-build')}')} which triggered exception SyntaxError: invalid syntax (PKG_kernel-image, line 1)

ERROR: Failed to build project

 

Best Regard

Lucas Liu

0 Kudos
1 Solution

Accepted Solutions
Highlighted
Moderator
Moderator
2,611 Views
Registered: ‎06-27-2017

Re: about build error on ZCU102 BSP

Jump to solution

Can you try git://github.com/Xilinx/linux-xlnx.git;protocol=https as mentioned in UG1144?

 

Regards

Kranthi

Best Regards
Kranthi
--------------------------
Don't forget to reply, kudo, and accept as solution.

View solution in original post

Tags (1)
0 Kudos
3 Replies
Highlighted
Moderator
Moderator
2,612 Views
Registered: ‎06-27-2017

Re: about build error on ZCU102 BSP

Jump to solution

Can you try git://github.com/Xilinx/linux-xlnx.git;protocol=https as mentioned in UG1144?

 

Regards

Kranthi

Best Regards
Kranthi
--------------------------
Don't forget to reply, kudo, and accept as solution.

View solution in original post

Tags (1)
0 Kudos
Highlighted
Observer
Observer
1,930 Views
Registered: ‎09-14-2017

Re: about build error on ZCU102 BSP

Jump to solution

I've got the same Issue..

 

there is no diffrence between git:// or https:// both don't work

 

[INFO] building bootloader
[INFO] sourcing bitbake
INFO: bitbake virtual/fsbl -c cleansstate
Loading cache: 100% |#######################################################| Time: 0:00:00
Loaded 1686 entries from dependency cache.
WARNING: /home/student/Schreibtisch/Petalinux/2017.4/components/yocto/source/aarch64/layers/meta-xilinx/recipes-bsp/u-boot/u-boot-xlnx_2017.01.bb: Exception during build_dependencies for S
WARNING: /home/student/Schreibtisch/Petalinux/2017.4/components/yocto/source/aarch64/layers/meta-xilinx/recipes-bsp/u-boot/u-boot-xlnx_2017.01.bb: Error during finalise of /home/student/Schreibtisch/Petalinux/2017.4/components/yocto/source/aarch64/layers/meta-xilinx/recipes-bsp/u-boot/u-boot-xlnx_2017.01.bb
ERROR: ExpansionError during parsing /home/student/Schreibtisch/Petalinux/2017.4/components/yocto/source/aarch64/layers/meta-xilinx/recipes-kernel/linux/linux-xlnx_4.9.bb
Traceback (most recent call last):
  File "/home/student/Schreibtisch/Petalinux/2017.4/components/yocto/source/aarch64/layers/core/bitbake/lib/bb/data_smart.py", line 386, in DataSmart.expandWithRefs(s='${LINUX_VERSION}${LINUX_VERSION_EXTENSION}+git${SRCPV}', varname='PV'):
                 try:
    >                s = __expand_var_regexp__.sub(varparse.var_sub, s)
                     try:
  File "/home/student/Schreibtisch/Petalinux/2017.4/components/yocto/source/aarch64/layers/core/bitbake/lib/bb/data_smart.py", line 111, in VariableParse.var_sub(match=<_sre.SRE_Match object; span=(46, 54), match='${SRCPV}'>):
                 else:
    >                var = self.d.getVarFlag(key, "_content", True)
                 self.references.add(key)
  File "/home/student/Schreibtisch/Petalinux/2017.4/components/yocto/source/aarch64/layers/core/bitbake/lib/bb/data_smart.py", line 737, in DataSmart.getVarFlag(var='SRCPV', flag='_content', expand=True, noweakdefault=False, parsing=False):
                     cachename = var + "[" + flag + "]"
    >            value = self.expand(value, cachename)
     
  File "/home/student/Schreibtisch/Petalinux/2017.4/components/yocto/source/aarch64/layers/core/bitbake/lib/bb/data_smart.py", line 410, in DataSmart.expand(s='${@bb.fetch2.get_srcrev(d)}', varname='SRCPV'):
         def expand(self, s, varname = None):
    >        return self.expandWithRefs(s, varname).value
     
  File "/home/student/Schreibtisch/Petalinux/2017.4/components/yocto/source/aarch64/layers/core/bitbake/lib/bb/data_smart.py", line 400, in DataSmart.expandWithRefs(s='${@bb.fetch2.get_srcrev(d)}', varname='SRCPV'):
                 except Exception as exc:
    >                raise ExpansionError(varname, s, exc) from exc
     
bb.data_smart.ExpansionError: Failure expanding variable SRCPV, expression was ${@bb.fetch2.get_srcrev(d)} which triggered exception FetchError: Fetcher failure for URL: 'git://github.com/Xilinx/linux-xlnx.git;protocol=https;nobranch=1'. Please set a valid SRCREV for url ['SRCREV_default_pn-linux-xlnx', 'SRCREV_default', 'SRCREV_pn-linux-xlnx', 'SRCREV'] (possible key names are git://github.com/Xilinx/linux-xlnx.git;protocol=https;nobranch=1, or use a ;rev=X URL parameter)


Summary: There were 2 WARNING messages shown.
Summary: There was 1 ERROR message shown, returning a non-zero exit code.
ERROR: Failed to build bootloader

0 Kudos
Highlighted
Observer
Observer
1,839 Views
Registered: ‎01-25-2018

Re: about build error on ZCU102 BSP

Jump to solution

Dear exragur:

 you can move to the following folder, before do petalinux build. it works on me.

 

Dear Xilinx:

  it is a common issue, will you incorporate this solution into your TRD2017.4 tutorial guide?

 

cd $TRD_HOME/apu/petalinux_bsp

 

BRs

Chieh-jay 

0 Kudos